# $Revision: 1.7 $, $Date: 2002/04/25 15:17:34 $
Summary:	Graphics file browser utility
Summary(pl):	Narzdzie do przegldania plikw graficznych przy pomocy OpenGL
Name:		gliv
Version:	1.5.1
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Vendor:		Guillaume Chazarain <booh@altern.org>
Source0:	http://gliv.tuxfamily.org/%{name}-%{version}.tar.bz2
Patch0:		%{name}-AM_INIT_AUTOMAKE.patch
URL:		http://gliv.tuxfamily.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2
BuildRequires:	gtkglarea-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GLiv is an OpenGL image viewer, image loading is done through
Gdk-pixbuf (standalone or bundled with GTK+-2), rendering through
OpenGL and the graphical user interface uses GTK+ with the GtkGLArea
widget. If Gdk-pixbuf cannot load your image, it uses ImageMagick to
convert it to PNG. GLiv is very fast and smooth at rotating, panning
and zooming if you have an OpenGL accelerated board.

%description -l pl
Gliv jest przegladark obrazkw uywajc OpenGL; adowanie obrazka
odbywa si poprzez Gdk-pixbuf (samodzielny lub zwizany z GTK+-2),
renderowanie poprzez OpenGL, a interfejs graficzny uytkownika uywa
GTK+ z GtkGLArea. Jeli Gtk-pixbuf nie moe zaadowa obrazka,
wywouje ImageMagick aby dokona jego konwersji na format PNG. GLiv
jest bardzo szybki, pynnie wykonuje rotacje, przesuwa aktualnie
wizualizowany framgment w oknie, powikszanie i zmniejszanie - jeli
posiadasz akcelerator.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
gettextize --copy --force
aclocal
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README NEWS THANKS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gliv.spec,v $
Revision 1.7  2002/04/25 15:17:34  kloczek
- added full regenerate ac/am/lt files (added AM_INIT_AUTOMAKE patch).

Revision 1.6  2002/04/25 13:21:37  marcus
- rel.2

Revision 1.5  2002/04/02 13:25:45  qboosh
- fixed broken pl description, group and prefix changed to X11
- added Source URL, removed COPYING from doc (known - GPL)

Revision 1.4  2002/04/01 10:44:03  pioklo
- cosmetics

Revision 1.3  2002/03/29 21:29:28  pioklo
- added description pl :)

Revision 1.2  2002/03/29 21:11:27  pioklo
- fix %build section

Revision 1.1  2002/03/29 20:29:53  pioklo
- new PLD spec
- rel 1 STBR
